Index: /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/extrap.f90
===================================================================
--- /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/extrap.f90	(revision 5212)
+++ /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/extrap.f90	(revision 5213)
@@ -1761,14 +1811,16 @@
    !> extraband of N points at north,south,east and west boundaries.
    !> 
+   !> @details
+   !> optionaly you could specify size of extra bands in i- and j-direction
+   !>
    !> @author J.Paul
-   !> - 2013-Initial version
+   !> - November, 2013-Initial version
    !
-   !> @param[inout] td_var : variable 
-   !> @param[in] id_isize : i-direction size of extra bands (default=im_minext)
-   !> @param[in] id_jsize : j-direction size of extra bands (default=im_minext)
+   !> @param[inout] td_var variable 
+   !> @param[in] id_isize  i-direction size of extra bands (default=im_minext)
+   !> @param[in] id_jsize  j-direction size of extra bands (default=im_minext)
    !> @todo
    !> - invalid special case for grid with north fold
    !-------------------------------------------------------------------
-   !> @code
    SUBROUTINE extrap_add_extrabands(td_var, id_isize, id_jsize )
       IMPLICIT NONE
@@ -1821,4 +1873,5 @@
       dl_value(:,:,:,:)=td_var%d_value(:,:,:,:)
 
+
       td_var%t_dim(1)%i_len = td_var%t_dim(1)%i_len + 2*il_isize
       td_var%t_dim(2)%i_len = td_var%t_dim(2)%i_len + 2*il_jsize
@@ -1855,5 +1908,4 @@
 
    END SUBROUTINE extrap_add_extrabands
-   !> @endcode
    !-------------------------------------------------------------------
    !> @brief
@@ -1861,16 +1913,18 @@
    !> of N points at north,south,east and west boundaries.
    !> 
+   !> @details
+   !> optionaly you could specify size of extra bands in i- and j-direction
+   !>
    !> @author J.Paul
-   !> - 2013-Initial version
-   !
-   !> @param[inout] td_var : variable 
-   !> @param[in] id_isize : i-direction size of extra bands (default=im_minext)
-   !> @param[in] id_jsize : j-direction size of extra bands (default=im_minext)
-   !-------------------------------------------------------------------
-   !> @code
+   !> - November, 2013-Initial version
+   !>
+   !> @param[inout] td_var variable 
+   !> @param[in] id_isize  i-direction size of extra bands (default=im_minext)
+   !> @param[in] id_jsize  j-direction size of extra bands (default=im_minext)
+   !-------------------------------------------------------------------
    SUBROUTINE extrap_del_extrabands(td_var, id_isize, id_jsize )
       IMPLICIT NONE
       ! Argument
-      TYPE(TVAR) , INTENT(INOUT)  :: td_var
+      TYPE(TVAR) , INTENT(INOUT) :: td_var
       INTEGER(i4), INTENT(IN   ), OPTIONAL :: id_isize
       INTEGER(i4), INTENT(IN   ), OPTIONAL :: id_jsize
@@ -1881,5 +1935,5 @@
       INTEGER(i4) :: il_isize
       INTEGER(i4) :: il_jsize
-      
+ 
       INTEGER(i4) :: il_imin
       INTEGER(i4) :: il_imax
@@ -1935,50 +1989,3 @@
 
    END SUBROUTINE extrap_del_extrabands
-   !> @endcode
-!   !-------------------------------------------------------------------
-!   !> @brief
-!   !> This function
-!   !> 
-!   !> @details 
-!   !>
-!   !> @author J.Paul
-!   !> - Nov, 2013- Initial Version
-!   !
-!   !> @param[in]
-!   !> @param[out] 
-!   !-------------------------------------------------------------------
-!   !> @code
-!   FUNCTION extrap_( )
-!      IMPLICIT NONE
-!      ! Argument
-!
-!      ! local variable
-!
-!      ! loop indices
-!      !----------------------------------------------------------------
-!   END FUNCTION extrap_
-!   !> @endcode
-!   !-------------------------------------------------------------------
-!   !> @brief
-!   !> This subroutine
-!   !> 
-!   !> @details 
-!   !>
-!   !> @author J.Paul
-!   !> - Nov, 2013- Initial Version
-!   !
-!   !> @param[in]
-!   !> @param[out] 
-!   !-------------------------------------------------------------------
-!   !> @code
-!   SUBROUTINE extrap_( )
-!      IMPLICIT NONE
-!      ! Argument
-!
-!      ! local variable
-!
-!      ! loop indices
-!      !----------------------------------------------------------------
-!   END SUBROUTINE extrap_
-!   !> @endcode
 END MODULE extrap
